# ifndef IPSECSTATUS_H
# define IPSECSTATUS_H

# include <QDialog>
# include <QProcess>
# include <QSystemTrayIcon>
# include <QSound>

# include "ui_ipsecstatus.h"

class settingsDialog;

class ipsecstatus : public QDialog, public Ui::ipsecstatus
{
	Q_OBJECT

public:
	ipsecstatus(QWidget *parent = 0);

private slots:
	void hideDialog();
	void start_timer();
	void get_status();
	void status_result();
	void OpenSettingsDialog();
	void iconActivated(QSystemTrayIcon::ActivationReason reason);
	void closeEvent(QCloseEvent *event);

	void check_sound_system();

	// Zur Übergabe der Sound Files aus dem Audio hideDialog
	void selectedAudio(const QString &selectedPathconn,const QString &selectedPathdisconn);

private:
	void createActions();
	void createTrayIcon();

	QString verzeichnis;
	QString key_disconnected;
	QString key_connected;
	QStringList ani_connecting;
	int ani_i;
	QProcess proc;
	QString stdausgabe;

	QString AudioMessageConn;
	QString AudioMessageDisconn;
	// conn_state: 0=Disconnected, 1=Connected
	int conn_state;
	QProcess play_audio_conn;
	QProcess play_audio_disconn;

	QTimer *timer;
	int timerwert;

	QAction *minimizeAction;
	QAction *restoreAction;
	QAction *settingsAction;
	QAction *quitAction;

	QSystemTrayIcon *trayIcon;
	QMenu *trayIconMenu;

	settingsDialog *settings;

	QFont font;

};

# endif